Bullet Collision Detection & Physics Library: btRigidBody.cpp File Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
btRigidBody.cpp File Reference
`#include "btRigidBody.h"`
`#include "BulletCollision/CollisionShapes/btConvexShape.h"`
`#include "LinearMath/btMinMax.h"`
`#include "LinearMath/btTransformUtil.h"`
`#include "LinearMath/btMotionState.h"`
`#include "BulletDynamics/ConstraintSolver/btTypedConstraint.h"`
`#include "LinearMath/btSerializer.h"`
Include dependency graph for btRigidBody.cpp:

Go to the source code of this file.

## Macros
#define | MAX_ANGVEL SIMD_HALF_PI

## Functions
btVector3 | evalEulerEqn (const btVector3 &w1, const btVector3 &w0, const btVector3 &T, const btScalar dt, const btMatrix3x3 &I)
btMatrix3x3 | evalEulerEqnDeriv (const btVector3 &w1, const btVector3 &w0, const btScalar dt, const btMatrix3x3 &I)
void | btSetCrossMatrixMinus (btMatrix3x3 &res, const btVector3 &a)

## Variables
btScalar | gDeactivationTime = btScalar(2.)
bool | gDisableDeactivation = false
static int | uniqueId = 0

## Macro Definition Documentation

#define MAX_ANGVEL SIMD_HALF_PI

## Function Documentation

void btSetCrossMatrixMinus | ( | btMatrix3x3 & | res,
|  | const btVector3 & | a
| ) |  |

Definition at line 306 of file btRigidBody.cpp.

btVector3 evalEulerEqn | ( | const btVector3 & | w1,
|  | const btVector3 & | w0,
|  | const btVector3 & | T,
|  | const btScalar | dt,
|  | const btMatrix3x3 & | I
| ) |  |
| inline

Definition at line 272 of file btRigidBody.cpp.

btMatrix3x3 evalEulerEqnDeriv | ( | const btVector3 & | w1,
|  | const btVector3 & | w0,
|  | const btScalar | dt,
|  | const btMatrix3x3 & | I
| ) |  |
| inline

Definition at line 279 of file btRigidBody.cpp.

## Variable Documentation

btScalar gDeactivationTime = btScalar(2.)

Definition at line 25 of file btRigidBody.cpp.

bool gDisableDeactivation = false

Definition at line 26 of file btRigidBody.cpp.

int uniqueId = 0
| static

Definition at line 27 of file btRigidBody.cpp.